package com.tencent.mm.plugin.appbrand.jsapi.miniprogram_navigator;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class JsApiNavigateToDevMiniProgram$DevPkgInfo implements Parcelable {
    public static final Creator<JsApiNavigateToDevMiniProgram$DevPkgInfo> CREATOR = new 1();
    String appId;
    String cOj;
    String cOk;
    String hQT;

    JsApiNavigateToDevMiniProgram$DevPkgInfo() {
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(131339);
        parcel.writeString(this.appId);
        parcel.writeString(this.cOj);
        parcel.writeString(this.cOk);
        parcel.writeString(this.hQT);
        AppMethodBeat.o(131339);
    }

    JsApiNavigateToDevMiniProgram$DevPkgInfo(Parcel parcel) {
        AppMethodBeat.i(131340);
        this.appId = parcel.readString();
        this.cOj = parcel.readString();
        this.cOk = parcel.readString();
        this.hQT = parcel.readString();
        AppMethodBeat.o(131340);
    }

    static {
        AppMethodBeat.i(131341);
        AppMethodBeat.o(131341);
    }
}
